Index: cpukit/Doxyfile.in
===================================================================
--- cpukit/Doxyfile.in	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/Doxyfile.in	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -593,5 +593,6 @@
 
 FILE_PATTERNS          = *.h \
-                         *.inl
+                         *.inl \
+			 *.c
 
 # The RECURSIVE tag can be used to turn specify whether or not subdirectories
Index: cpukit/score/include/rtems/bspsmp.h
===================================================================
--- cpukit/score/include/rtems/bspsmp.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/bspsmp.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -144,4 +144,6 @@
 
 /**
+ *  @brief RTEMS SMP Secondary CPU Initialize
+ *
  *  This method is the C entry point which secondary CPUs should
  *  arrange to call.  It performs OS initialization for the secondary
@@ -163,4 +165,6 @@
 
 /**
+ *  @brief RTEMS SMP Proccess Interrupt
+ *
  *  This is the method called by the BSP's interrupt handler
  *  to process the incoming interprocessor request. 
Index: cpukit/score/include/rtems/score/coremsg.h
===================================================================
--- cpukit/score/include/rtems/score/coremsg.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/coremsg.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -289,4 +289,9 @@
 /**
  *  @brief Close a Message Queue
+ * 
+ *  DESCRIPTION:
+ *  This package is the implementation of the CORE Message Queue Handler.
+ *  This core object provides task synchronization and communication functions
+ *  via messages passed to queue objects
  *
  *  This function closes a message by returning all allocated space and
@@ -307,4 +312,9 @@
 /**
  *  @brief Flush Pending Messages
+ * 
+ *  DESCRIPTION:
+ *  This package is the implementation of the CORE Message Queue Handler.
+ *  This core object provides task synchronization and communication functions
+ *  via messages passed to queue objects.
  *
  *  This function flushes @a the_message_queue's pending message queue.  The
@@ -350,4 +360,9 @@
 /**
  *  @brief Broadcast a Message to the Message Queue
+ * 
+ *  DESCRIPTION:
+ *  This package is the implementation of the CORE Message Queue Handler.
+ *  This core object provides task synchronization and communication functions
+ *  via messages passed to queue objects.
  *
  *  This function sends a message for every thread waiting on the queue and
@@ -413,4 +428,9 @@
 /**
  *  @brief Size a Message from the Message Queue
+ * 
+ *  DESCRIPTION:
+ *  This package is the implementation of the CORE Message Queue Handler.
+ *  This core object provides task synchronization and communication functions
+ *  via messages passed to queue objects.
  *
  *  This kernel routine dequeues a message, copies the message buffer to
@@ -433,4 +453,8 @@
  *  @return indication of the successful completion or reason for failure
  *  @note Returns message priority via return are in TCB.
+ * 
+ *  - INTERRUPT LATENCY:
+ *    + available
+ *    + wait
  */
 void _CORE_message_queue_Seize(
Index: cpukit/score/include/rtems/score/coresem.h
===================================================================
--- cpukit/score/include/rtems/score/coresem.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/coresem.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -190,4 +190,11 @@
 
 /**
+ *  @brief Core Semaphore Flush
+ * 
+ *  DESCRIPTION:
+ *  This package is the implementation of the CORE Semaphore Handler.
+ *  This core object utilizes standard Dijkstra counting semaphores to provide
+ *  synchronization and mutual exclusion capabilities.
+ *
  *  This routine assists in the deletion of a semaphore by flushing the
  *  associated wait queue.
Index: cpukit/score/include/rtems/score/object.h
===================================================================
--- cpukit/score/include/rtems/score/object.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/object.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -753,4 +753,6 @@
 
 /**
+ *  @brief Get Object Information
+ * 
  *  This function return the information structure given
  *  an the API and Class.  This can be done independent of
Index: cpukit/score/include/rtems/score/schedulercbs.h
===================================================================
--- cpukit/score/include/rtems/score/schedulercbs.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/schedulercbs.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -176,5 +176,5 @@
 
 /**
- *  @brief _Scheduler_CBS_Attach_thread
+ *  @brief Attach Scheduler CBS Thread
  *
  *  Attach a task to an already existing server.
@@ -285,5 +285,5 @@
 
 /**
- *  @brief _Scheduler_CBS_Get_server_id
+ *  @brief Scheduler CBS Get Server id
  *
  *  Get a thread server id, or SCHEDULER_CBS_ERROR_NOT_FOUND if it is not
Index: cpukit/score/include/rtems/score/schedulerpriority.h
===================================================================
--- cpukit/score/include/rtems/score/schedulerpriority.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/schedulerpriority.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -137,4 +137,6 @@
 
 /**
+ *  @brief Scheduler Priority Yield
+ *
  *  This routine is invoked when a thread wishes to voluntarily
  *  transfer control of the processor to another thread in the queue.
@@ -146,4 +148,8 @@
  *  timeslice counter is reset.  The heir THREAD will be updated if the
  *  running is also the currently the heir.
+ * 
+ *  - INTERRUPT LATENCY:
+ *    + ready chain
+ *    + select heir
  */
 void _Scheduler_priority_Yield( void );
Index: cpukit/score/include/rtems/score/thread.h
===================================================================
--- cpukit/score/include/rtems/score/thread.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/thread.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -511,4 +511,6 @@
 
 /**
+ *  @brief Create Idle Thread
+ *
  *  This routine creates the idle thread.
  *
@@ -518,7 +520,14 @@
 
 /**
+ *  @brief Start Thread Multitasking
+ *
  *  This routine initiates multitasking.  It is invoked only as
  *  part of initialization and its invocation is the last act of
  *  the non-multitasking part of the system initialization.
+ * 
+ * 
+ *  - INTERRUPT LATENCY:
+ *    + ready chain
+ *    + select heir
  */
 void _Thread_Start_multitasking( void );
@@ -561,4 +570,6 @@
 
 /**
+ *  @brief Deallocate Thread Stack
+ * 
  *  Deallocate the Thread's stack.
  */
@@ -656,7 +667,13 @@
 
 /**
+ *  @brief Clear Thread state
+ *
  *  This routine clears the indicated STATES for @a the_thread.  It performs
  *  any necessary scheduling operations including the selection of
  *  a new heir thread.
+ * 
+ *  - INTERRUPT LATENCY:
+ *    + priority map
+ *    + select heir
  */
 void _Thread_Clear_state(
Index: cpukit/score/include/rtems/score/threadmp.h
===================================================================
--- cpukit/score/include/rtems/score/threadmp.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/threadmp.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -33,5 +33,5 @@
 
 /**
- *  @brief _Thread_MP_Handler_initialization
+ *  @brief MP Thread Handler Initialization
  *
  *  This routine initializes the multiprocessing portion of the Thread Handler.
@@ -42,5 +42,5 @@
 
 /**
- *  @brief _Thread_MP_Allocate_proxy
+ *  @brief MP Thread Proxy Allocate
  *
  *  This  allocates a proxy control block from
@@ -55,5 +55,5 @@
 
 /**
- *  @brief _Thread_MP_Find_proxy
+ *  @brief MP Thread Proxy Find
  *
  *  This function removes the proxy control block for the specified
Index: cpukit/score/include/rtems/score/timespec.h
===================================================================
--- cpukit/score/include/rtems/score/timespec.h	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/include/rtems/score/timespec.h	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -104,5 +104,5 @@
 
 /**
- * @brief Timespec Less Than Operator
+ *  @brief Timespec Less Than Operator
  *
  *  This method is the less than operator for timespecs.
Index: cpukit/score/src/coremsgbroadcast.c
===================================================================
--- cpukit/score/src/coremsgbroadcast.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/coremsgbroadcast.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Broadcast a Message to the Message Queue
+ *  @ingroup ScoreMessageQueue
+ */
+
 /*
- *  CORE Message Queue Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Message Queue Handler.
- *  This core object provides task synchronization and communication functions
- *  via messages passed to queue objects.
- *
  *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
@@ -28,24 +27,4 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
-
-/*
- *  _CORE_message_queue_Broadcast
- *
- *  This function sends a message for every thread waiting on the queue and
- *  returns the number of threads made ready by the message.
- *
- *  Input parameters:
- *    the_message_queue            - message is submitted to this message queue
- *    buffer                       - pointer to message buffer
- *    size                         - size in bytes of message to send
- *    id                           - id of message queue
- *    api_message_queue_mp_support - api specific mp support callout
- *    count                        - area to store number of threads made ready
- *
- *  Output parameters:
- *    count                         - number of threads made ready
- *    CORE_MESSAGE_QUEUE_SUCCESSFUL - if successful
- *    error code                    - if unsuccessful
- */
 
 CORE_message_queue_Status _CORE_message_queue_Broadcast(
Index: cpukit/score/src/coremsgclose.c
===================================================================
--- cpukit/score/src/coremsgclose.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/coremsgclose.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Close a Message Queue
+ *  @ingroup ScoreMessageQueue
+ */
+
 /*
- *  CORE Message Queue Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Message Queue Handler.
- *  This core object provides task synchronization and communication functions
- *  via messages passed to queue objects.
- *
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -28,18 +27,4 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
-
-/*
- *  _CORE_message_queue_Close
- *
- *  This function closes a message by returning all allocated space and
- *  flushing the message_queue's task wait queue.
- *
- *  Input parameters:
- *    the_message_queue      - the message_queue to be flushed
- *    remote_extract_callout - function to invoke remotely
- *    status                 - status to pass to thread
- *
- *  Output parameters:  NONE
- */
 
 void _CORE_message_queue_Close(
Index: cpukit/score/src/coremsgflush.c
===================================================================
--- cpukit/score/src/coremsgflush.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/coremsgflush.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Flush Pending Messages
+ *  @ingroup ScoreMessageQueue
+ */
+
 /*
- *  CORE Message Queue Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Message Queue Handler.
- *  This core object provides task synchronization and communication functions
- *  via messages passed to queue objects.
- *
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -29,17 +28,4 @@
 #include <rtems/score/wkspace.h>
 
-/*
- *  _CORE_message_queue_Flush
- *
- *  This function flushes the message_queue's pending message queue.  The
- *  number of messages flushed from the queue is returned.
- *
- *  Input parameters:
- *    the_message_queue - the message_queue to be flushed
- *
- *  Output parameters:
- *    returns - the number of messages flushed from the queue
- */
-
 uint32_t   _CORE_message_queue_Flush(
   CORE_message_queue_Control *the_message_queue
Index: cpukit/score/src/coremsgseize.c
===================================================================
--- cpukit/score/src/coremsgseize.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/coremsgseize.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Size a Message from the Message Queue
+ *  @ingroup ScoreMessageQueue
+ */
+
 /*
- *  CORE Message Queue Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Message Queue Handler.
- *  This core object provides task synchronization and communication functions
- *  via messages passed to queue objects.
- *
  *  COPYRIGHT (c) 1989-2007.
  *  On-Line Applications Research Corporation (OAR).
@@ -28,29 +27,4 @@
 #include <rtems/score/thread.h>
 #include <rtems/score/wkspace.h>
-
-/*
- *  _CORE_message_queue_Seize
- *
- *  This kernel routine dequeues a message, copies the message buffer to
- *  a given destination buffer, and frees the message buffer to the
- *  inactive message pool.  The thread will be blocked if wait is true,
- *  otherwise an error will be given to the thread if no messages are available.
- *
- *  Input parameters:
- *    the_message_queue - pointer to message queue
- *    id                - id of object we are waitig on
- *    buffer            - pointer to message buffer to be filled
- *    size_p            - pointer to the size of buffer to be filled
- *    wait              - true if wait is allowed, false otherwise
- *    timeout           - time to wait for a message
- *
- *  Output parameters:  NONE
- *
- *  NOTE: Dependent on BUFFER_LENGTH
- *
- *  INTERRUPT LATENCY:
- *    available
- *    wait
- */
 
 void _CORE_message_queue_Seize(
Index: cpukit/score/src/coresemflush.c
===================================================================
--- cpukit/score/src/coresemflush.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/coresemflush.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,11 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Core Semaphore Flush
+ *  @ingroup ScoreSemaphore
+ */
+
 /*
- *  CORE Semaphore Handler
- *
- *  DESCRIPTION:
- *
- *  This package is the implementation of the CORE Semaphore Handler.
- *  This core object utilizes standard Dijkstra counting semaphores to provide
- *  synchronization and mutual exclusion capabilities.
- *
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
@@ -27,17 +26,4 @@
 #include <rtems/score/threadq.h>
 
-/*
- *  _CORE_semaphore_Flush
- *
- *  This function a flushes the semaphore's task wait queue.
- *
- *  Input parameters:
- *    the_semaphore          - the semaphore to be flushed
- *    remote_extract_callout - function to invoke remotely
- *    status                 - status to pass to thread
- *
- *  Output parameters:  NONE
- */
-
 void _CORE_semaphore_Flush(
   CORE_semaphore_Control     *the_semaphore,
Index: cpukit/score/src/isrsmp.c
===================================================================
--- cpukit/score/src/isrsmp.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/isrsmp.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,5 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Initialize, Disable, Enable, Flash, Enter, Exit ISR Implementation
+ *  @ingroup ScoreISR
+ */
+
 /*
- *  ISR Enable/Disable for SMP Configurations
- *
  *  COPYRIGHT (c) 1989-2011.
  *  On-Line Applications Research Corporation (OAR).
@@ -58,9 +63,4 @@
 }
 
-/*
- *  Return values:
- *     0 - simple return
- *     1 - dispatching return
- */
 int _ISR_SMP_Exit(void)
 {
Index: cpukit/score/src/objectgetinfo.c
===================================================================
--- cpukit/score/src/objectgetinfo.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/objectgetinfo.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Get Object Information
+ *  @ingroup ScoreObject
+ */
+
 /*
  *  COPYRIGHT (c) 1989-2008.
Index: cpukit/score/src/schedulercbsattachthread.c
===================================================================
--- cpukit/score/src/schedulercbsattachthread.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/schedulercbsattachthread.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Attach Scheduler CBS Thread
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulercbsgetserverid.c
===================================================================
--- cpukit/score/src/schedulercbsgetserverid.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/schedulercbsgetserverid.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler CBS Get Server id
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/scheduleredfschedule.c
===================================================================
--- cpukit/score/src/scheduleredfschedule.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/scheduleredfschedule.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler EDF Allocate
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  Copyright (C) 2011 Petr Benes.
Index: cpukit/score/src/schedulerpriorityyield.c
===================================================================
--- cpukit/score/src/schedulerpriorityyield.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/schedulerpriorityyield.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,5 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler Priority Yield
+ *  @ingroup ScoreScheduler
+ */
+
 /*
- *  Scheduler Priority Handler / Yield
- *
  *  Copyright (C) 2010 Gedare Bloom.
  *  Copyright (C) 2011 On-Line Applications Research Corporation (OAR).
@@ -19,10 +24,4 @@
 #include <rtems/score/schedulerpriority.h>
 #include <rtems/score/thread.h>
-
-/*
- *  INTERRUPT LATENCY:
- *    ready chain
- *    select heir
- */
 
 void _Scheduler_priority_Yield(void)
Index: cpukit/score/src/schedulersimplesmptick.c
===================================================================
--- cpukit/score/src/schedulersimplesmptick.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/schedulersimplesmptick.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief Scheduler Simple SMP Tick Method
+ *  @ingroup ScoreScheduler
+ */
+
 /*
  *  COPYRIGHT (c) 1989-2009.
Index: cpukit/score/src/smp.c
===================================================================
--- cpukit/score/src/smp.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/smp.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,2 +1,9 @@
+/**
+ *  @file
+ *
+ *  @brief SMP Support
+ *  @ingroup Score
+ */
+
 /*
  *  COPYRIGHT (c) 1989-2011.
@@ -43,7 +50,4 @@
 }
 
-/*
- *  Process request to initialize this secondary core.
- */
 void rtems_smp_secondary_cpu_initialize(void)
 {
@@ -91,8 +95,4 @@
 }
 
-/*
- *  Process an interrupt processor interrupt which indicates a request
- *  from another core.
- */
 void rtems_smp_process_interrupt(void)
 {
@@ -180,7 +180,4 @@
 }
 
-/*
- *  Send interrupt processor request to all other nodes
- */
 void _SMP_Broadcast_message(
   uint32_t  message
@@ -203,7 +200,4 @@
 }
 
-/*
- *  Send interrupt processor requests to perform first context switch 
- */
 void _SMP_Request_other_cores_to_perform_first_context_switch(void)
 {
@@ -216,8 +210,4 @@
 }
 
-/*
- *  Send message to other cores requesting them to perform
- *  a thread dispatch operation.
- */
 void _SMP_Request_other_cores_to_dispatch(void)
 {
@@ -240,7 +230,4 @@
 }
 
-/*
- *  Send message to other cores requesting them to shutdown.
- */
 void _SMP_Request_other_cores_to_shutdown(void)
 {
Index: cpukit/score/src/threadclearstate.c
===================================================================
--- cpukit/score/src/threadclearstate.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/threadclearstate.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,5 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Clear Thread state
+ *  @ingroup ScoreThread
+ */
+
 /*
- *  Thread Handler / Thread Clear State
- *
  *  COPYRIGHT (c) 1989-2011.
  *  On-Line Applications Research Corporation (OAR).
@@ -28,9 +33,4 @@
 #include <rtems/score/wkspace.h>
 
-/*
- *  INTERRUPT LATENCY:
- *    priority map
- *    select heir
- */
 void _Thread_Clear_state(
   Thread_Control *the_thread,
Index: cpukit/score/src/threadcreateidle.c
===================================================================
--- cpukit/score/src/threadcreateidle.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/threadcreateidle.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Create Idle Thread
+ *  @ingroup ScoreThread
+ */
+
 /*
- *  Thread Handler
- *
- *
  *  COPYRIGHT (c) 1989-2011.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/score/src/threadmp.c
===================================================================
--- cpukit/score/src/threadmp.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/threadmp.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Distributed MP Support
+ *  @ingroup ScoreThreadMP
+ */
+
 /*
- *  Multiprocessing Support for the Thread Handler
- *
- *
  *  COPYRIGHT (c) 1989-2006.
  *  On-Line Applications Research Corporation (OAR).
@@ -21,9 +25,4 @@
 #include <rtems/score/wkspace.h>
 #include <rtems/score/isr.h>
-
-/*
- *  _Thread_MP_Handler_initialization
- *
- */
 
 void _Thread_MP_Handler_initialization (
@@ -50,9 +49,4 @@
 
 }
-
-/*
- *  _Thread_MP_Allocate_proxy
- *
- */
 
 Thread_Control *_Thread_MP_Allocate_proxy (
@@ -100,9 +94,4 @@
   return NULL;
 }
-
-/*
- *  _Thread_MP_Find_proxy
- *
- */
 
 /*
Index: cpukit/score/src/threadstackfree.c
===================================================================
--- cpukit/score/src/threadstackfree.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/threadstackfree.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Deallocate Thread Stack
+ *  @ingroup ScoreThread
+ */
+
 /*
- *  Thread Handler
- *
- *
  *  COPYRIGHT (c) 1989-2008.
  *  On-Line Applications Research Corporation (OAR).
@@ -29,10 +33,4 @@
 #include <rtems/config.h>
 
-/*
- *  _Thread_Stack_Free
- *
- *  Deallocate the Thread's stack.
- */
-
 void _Thread_Stack_Free(
   Thread_Control *the_thread
Index: cpukit/score/src/threadstartmultitasking.c
===================================================================
--- cpukit/score/src/threadstartmultitasking.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/threadstartmultitasking.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,6 +1,10 @@
+/**
+ *  @file
+ *
+ *  @brief Start Thread Multitasking
+ *  @ingroup ScoreThread
+ */
+
 /*
- *  Thread Handler
- *
- *
  *  COPYRIGHT (c) 1989-2006.
  *  On-Line Applications Research Corporation (OAR).
@@ -27,24 +31,4 @@
 #include <rtems/score/threadq.h>
 #include <rtems/score/wkspace.h>
-
-/*
- *  _Thread_Start_multitasking
- *
- *  This kernel routine readies the requested thread, the thread chain
- *  is adjusted.  A new heir thread may be selected.
- *
- *  Input parameters:
- *    system_thread - pointer to system initialization thread control block
- *    idle_thread   - pointer to idle thread control block
- *
- *  Output parameters:  NONE
- *
- *  NOTE:  This routine uses the "blocking" heir selection mechanism.
- *         This ensures the correct heir after a thread restart.
- *
- *  INTERRUPT LATENCY:
- *    ready chain
- *    select heir
- */
 
 void _Thread_Start_multitasking( void )
Index: cpukit/score/src/timespeclessthan.c
===================================================================
--- cpukit/score/src/timespeclessthan.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/timespeclessthan.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,4 +1,7 @@
 /**
- *  @file  score/src/timespeclessthan.c
+ *  @file
+ *
+ *  @brief Timespec Less Than Operator
+ *  @ingroup Timespec
  */
 
Index: cpukit/score/src/watchdogreportchain.c
===================================================================
--- cpukit/score/src/watchdogreportchain.c	(revision db650357f097d4a8446af31989f0828c9318f6da)
+++ cpukit/score/src/watchdogreportchain.c	(revision e655f7e4fae3e7f5f0b5738457c9d09d3cd6b773)
@@ -1,6 +1,7 @@
 /**
- *  @file watchdogreportchain.c
+ *  @file
  *
- *  This should only be used for debugging.
+ *  @brief Report Information on a Watchdog Chain
+ *  @ingroup ScoreWatchdog
  */
 
